oasis.names.tc.dss._1_0.core.schema

## Class TransformedData

- java.lang.Object
- - oasis.names.tc.dss._1_0.core.schema.DocumentBaseType
  - - oasis.names.tc.dss._1_0.core.schema.TransformedData

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T02:54:22+02:00",
                 comments="JAXB RI v2.3.7")
      public class TransformedData
      extends DocumentBaseType
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{urn:oasis:names:tc:dss:1.0:core:schema}DocumentBaseType">
             <sequence>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}Transforms" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}Base64Data"/>
             </sequence>
             <attribute name="WhichReference" type="{http://www.w3.org/2001/XMLSchema}integer" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformedData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Base64Data` | `getBase64Data()` Gets the value of the base64Data property.
    `Transforms` | `getTransforms()` Gets the value of the transforms property.
    `BigInteger` | `getWhichReference()` Gets the value of the whichReference property.
    `void` | `setBase64Data(Base64Data value)` Sets the value of the base64Data property.
    `void` | `setTransforms(Transforms value)` Sets the value of the transforms property.
    `void` | `setWhichReference(BigInteger value)` Sets the value of the whichReference property.

    - ### Methods inherited from class oasis.names.tc.dss._1_0.core.schema.DocumentBaseType

      `getID, getRefType, getRefURI, getSchemaRefs, setID, setRefType, setRefURI`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformedData

          public TransformedData()

  - ### Method Detail

    - #### getTransforms

          public Transforms getTransforms()

      Gets the value of the transforms property.
      Returns:
        possible object is `Transforms`

    - #### setTransforms

          public void setTransforms(Transforms value)

      Sets the value of the transforms property.
      Parameters:
        `value` - allowed object is `Transforms`

    - #### getBase64Data

          public Base64Data getBase64Data()

      Gets the value of the base64Data property.
      Returns:
        possible object is `Base64Data`

    - #### setBase64Data

          public void setBase64Data(Base64Data value)

      Sets the value of the base64Data property.
      Parameters:
        `value` - allowed object is `Base64Data`

    - #### getWhichReference

          public BigInteger getWhichReference()

      Gets the value of the whichReference property.
      Returns:
        possible object is `BigInteger`

    - #### setWhichReference

          public void setWhichReference(BigInteger value)

      Sets the value of the whichReference property.
      Parameters:
        `value` - allowed object is `BigInteger`

Connector Packaging PERSLOGOPEDIST 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.